BSON_WRITER_GET_LENGTH(3)

NAME
bson_writer_get_length - bson_writer_get_length()

SYNOPSIS

size_t
bson_writer_get_length (bson_writer_t *writer);

PARAMETERS

•   writer: A bson_writer_t.

DESCRIPTION

Fetches the current length of the content written by the buffer (including the initial offset). This includes a partly written document currently being written.

This is useful if you want to check to see if you've passed a given memory boundary that cannot be sent in a packet. See bson_writer_rollback() to abort the current document being written.

RETURNS

The length of the underlying buffer.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc